# Create referral
URL: /docs/api-reference/referrals/create-referral
Description: Creates a new referral for an affiliate in your organization.

**POST** `https://www.promotekit.com/api/v1/referrals`

Creates a new referral for an affiliate in your organization.

## Authentication

Requires a Bearer token in the `Authorization` header.

## Request Body

- `affiliate_id`: string (uuid) **(required)** - UUID of the affiliate this referral belongs to
- `email`: string (email) **(required)** - Email address of the referred customer
- `stripe_customer_id`: string - Stripe customer ID of the referred customer
- `subscription_status`: string: `active`, `signed_up`, `trialing`, `canceled`, `past_due` - Subscription status of the referred customer

## Responses

### 200 - Successful response

- `success`: boolean **(required)**
- `data`: object **(required)**

### 400 - Invalid request

- `success`: boolean **(required)**
- `error`: object **(required)**

### 401 - Authentication failed

- `success`: boolean **(required)**
- `error`: object **(required)**

### 429 - Rate limit exceeded

- `success`: boolean **(required)**
- `error`: object **(required)**